Page MenuHomePhabricator

ask the user if the change is a fix or update to determine edit flow
Closed, ResolvedPublic8 Estimated Story Points

Description

As an editor I want to make correct edits in order to not mess up the data in Wikidata.

Problem:
On the client there is no difference between fixing a typo in a value and replacing it with a new measurement for example. On the repository it matters because it would lead to different edit flows (overwriting the existing value vs. adding a new value and changing the rank). We can't determine automatically which way to go for a given edit so we need to ask the editor if they are making a fix or update.

Screenshots/mockups:
no selection (CORRECT TEXT)

with selection (IGNORE THE TEXT IT'S OLD)

BDD
GIVEN a bridge-enabled infobox
WHEN editing a value
THEN the editor is asked if their edit is a fix or update of the previous value

GIVEN an edit flow choice
WHEN the editor chooses fix
THEN the value on the repository is overwritten with the new value

GIVEN an edit flow choice
WHEN the editor chooses update
THEN the value on the repository is overwritten with the new value

Acceptance criteria:

  • editor is asked if their edit is an update or a fix
  • when no selection has been made yet, the "publish" button is disabled
  • radio buttons display mutually exclusive selection logic when used in groups: selecting radio button A causes radio button B to be automatically deselected, and vice versa.

For more information, check (https://www.mediawiki.org/wiki/OOUI/Widgets/Inputs#Radio_inputs)

Notes:

  • Rank adjustments based on edit flow are coming in a separate ticket
  • when a selection is made, and afterwards references are added or edited, the selection is remembered upon returning to the main screen
  • there is no default selection and as long as no selection is made it's blocking the publish button

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 4 2019, 10:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Charlie_WMDE Can you add the mockup please?

Lydia_Pintscher triaged this task as High priority.Nov 4 2019, 10:26 PM
Lydia_Pintscher moved this task from Backlog to Ready to estimate on the Wikidata-Bridge board.
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Nov 12 2019, 1:35 PM
Charlie_WMDE updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)Nov 12 2019, 2:42 PM
Charlie_WMDE updated the task description. (Show Details)

notes:
improve messages to take translatability into account (use a fixed word instead of 4property, or change the order of words?), change the boldness, and make the choice of words relate to the added value
the info i is not part of this task

Charlie_WMDE updated the task description. (Show Details)
darthmon_wmde set the point value for this task to 8.Nov 19 2019, 11:03 AM
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Nov 27 2019, 4:09 PM

@Sarai-WMDE poke about detailed specs/mocks

Sarai-WMDE updated the task description. (Show Details)Jan 3 2020, 11:03 AM

heyho, i'm not super sure about the margins to the left and right of the text. Maybe we can talk about this tomorrow when i'm in the office. Apart from that the font sizes are also off

The text next to the radio buttons should be 16px and the subtext should be 14px. On that note i also noticed that the text field label is 17.4px large although that should also be 16px. Maybe we can have a look into that tmw as well.

Margins are done, font sizes not yet (see T243192) – what happens with this story now?

not sure the font sizes are even part of this story since on ticket creation the ticket was moved to the backlog and not the todo column in the current sprint.
@Lydia_Pintscher @Sarai-WMDE was that on purpose? is it part of this story or is it separate? if the latter, this story can be moved to the done column.

Hello! I created T243192 directly in the backlog so the team could decide how/when to tackle it. @LucasWerkmeister @Lydia_Pintscher @Charlie_WMDE

Charlie_WMDE closed this task as Resolved.Jan 28 2020, 11:44 AM
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-12 board.